export const eventsKeys = {
  all: () => ['events'],
  category: (category: string) => [...eventsKeys.all(), 'category', category],
  allDetail: () => [...eventsKeys.all(), 'detail'],
  detail: (eventId: number | string) => [
    ...eventsKeys.allDetail(),
    Number(eventId),
  ],
  site: (userSite: string) => [...eventsKeys.all(), 'site', userSite],
  employee: {
    all: () => [...eventsKeys.all(), 'employee'],
    list: () => [...eventsKeys.employee.all(), 'list'],
    allDetail: () => [...eventsKeys.employee.all(), 'detail'],
    detail: (employeeId: number | string) => [
      ...eventsKeys.employee.allDetail(),
      Number(employeeId),
    ],
  },
  form: {
    all: () => [...eventsKeys.all(), 'employee'],
    list: () => [...eventsKeys.form.all(), 'list'],
    allDetail: () => [...eventsKeys.form.all(), 'detail'],
    detail: (formId: number | string) => [
      ...eventsKeys.form.allDetail(),
      Number(formId),
    ],
    extraFields: (formId: number | string) => [
      ...eventsKeys.form.allDetail(),
      'extraFields',
      Number(formId),
    ],
  },
};
